"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defineDevServerConfig = exports.devServer = exports.startDevServer = void 0;
const debug_1 = require("debug");
const vite_1 = require("vite");
const resolveServerConfig_1 = require("./resolveServerConfig");
const debug = (0, debug_1.debug)('cypress:vite-dev-server:vite');
async function startDevServer(startDevServerArgs) {
    if (!startDevServerArgs.viteConfig) {
        debug('User did not pass in any Vite dev server configuration');
        startDevServerArgs.viteConfig = {};
    }
    debug('starting vite dev server');
    const resolvedConfig = await (0, resolveServerConfig_1.resolveServerConfig)(startDevServerArgs);
    const port = resolvedConfig.server.port;
    const viteDevServer = await (0, vite_1.createServer)(resolvedConfig);
    await viteDevServer.listen();
    debug('Component testing vite server started on port', port);
    return { port, close: viteDevServer.close };
}
exports.startDevServer = startDevServer;
function devServer(cypressDevServerConfig, devServerConfig) {
    return startDevServer({ options: cypressDevServerConfig, viteConfig: devServerConfig });
}
exports.devServer = devServer;
function defineDevServerConfig(devServerConfig) {
    return devServerConfig;
}
exports.defineDevServerConfig = defineDevServerConfig;
